Difference between revisions of "Setup:System requirements"

(4 intermediate revisions by 2 users not shown)
Line 3: Line 3:
  
 
For a trouble-free installation of the current version BlueSpice 3.4, we recommend the following system requirements. The application BlueSpice is tested by Hallo Welt! for Windows and Linux.
 
For a trouble-free installation of the current version BlueSpice 3.4, we recommend the following system requirements. The application BlueSpice is tested by Hallo Welt! for Windows and Linux.
 
==MediaWiki==
 
 
*Version 1.35.x (LTS -Long Term Support)
 
  
 
==Browser==
 
==Browser==
Line 15: Line 11:
  
 
==Server Environment==
 
==Server Environment==
 
+
{{Messagebox|boxtype=warning|icon=yes|Note text=PHP version 8 is currently not supported!|bgcolor=}}
*Operating System: Microsoft Windows Server 2016+ or Linux (established distributions)
+
*Operating system: Microsoft Windows Server >= 2016 or Linux (common distributions)
*Webserver: Apache 2, nginx 1+<sup>(*)</sup> or IIS 8, 9, 10    <sup>(*)</sup>''nginx not possible in WikiFarm''
+
*Webserver: <span style="color: rgb(68, 68, 68)">Apache 2.4.x, IIS >= 10 ''or'' nginx 1.x</span> (''nginx'' ''not possible in WikiFarm'')
*PHP 7.4.x
+
*PHP 7.4.x starting at 7.4.3
*MySQL 5.6+ or MariaDB 10.x
+
*MySQL: >= 5.6 oder MariaDB >= 10.3
*Main memory: 16GB (minimal 8GB)
+
*Main memory: 16 GB (minimal 8 GB)
 
*Available hard drive space: > 20GB (depends on the planned storage of data)
 
*Available hard drive space: > 20GB (depends on the planned storage of data)
 
*CPU: 8 (minimal 4) cores
 
*CPU: 8 (minimal 4) cores
*Apache Tomcat 8 or Jetty 9 (for PDF export, version comparison, and LaTexRenderer)
+
*Apache Tomcat >= 9 oder Jetty >= 9 (for PDF export and LaTexRenderer)
*ElasticSearch 6.x with plugin "ingest-attachment"
+
*ElasticSearch 6.8 with plugin “ingest-attachment”
*Java 8.x or OpenJDK 10.x
+
*OpenJDK >= 10
==Database access==
+
*NodeJS 16
 
 
*Host/IP adress and port
 
*User name and password for root user (Create/Drop statements) and wiki user (has possibly been created during the MediaWiki installation)
 
*Name of the database
 
*The table prefix of the database
 
 
[[en:{{FULLPAGENAME}}]]
 
[[en:{{FULLPAGENAME}}]]
 
[[de:Setup:Systemanforderungen]]
 
[[de:Setup:Systemanforderungen]]
 
[[Category:Setup]]
 
[[Category:Setup]]

Revision as of 07:44, 23 June 2022


For a trouble-free installation of the current version BlueSpice 3.4, we recommend the following system requirements. The application BlueSpice is tested by Hallo Welt! for Windows and Linux.

Browser[edit | edit source]

  • Microsoft Edge
  • Google Chrome
  • Firefox

Server Environment[edit | edit source]

Warning!PHP version 8 is currently not supported!
  • Operating system: Microsoft Windows Server >= 2016 or Linux (common distributions)
  • Webserver: Apache 2.4.x, IIS >= 10 or nginx 1.x (nginx not possible in WikiFarm)
  • PHP 7.4.x starting at 7.4.3
  • MySQL: >= 5.6 oder MariaDB >= 10.3
  • Main memory: 16 GB (minimal 8 GB)
  • Available hard drive space: > 20GB (depends on the planned storage of data)
  • CPU: 8 (minimal 4) cores
  • Apache Tomcat >= 9 oder Jetty >= 9 (for PDF export and LaTexRenderer)
  • ElasticSearch 6.8 with plugin “ingest-attachment”
  • OpenJDK >= 10
  • NodeJS 16

Discussions